<?php

namespace App\Filament\Resources\UnpaidLeaves\Pages;

use App\Filament\Resources\UnpaidLeaves\UnpaidLeaveResource;
use Filament\Actions\DeleteAction;
use Filament\Actions\ForceDeleteAction;
use Filament\Actions\RestoreAction;
use Filament\Actions\ViewAction;
use Filament\Resources\Pages\EditRecord;

class EditUnpaidLeave extends EditRecord
{
    protected static string $resource = UnpaidLeaveResource::class;

    protected function getHeaderActions(): array
    {
        return [
            ViewAction::make(),
            DeleteAction::make(),
            ForceDeleteAction::make(),
            RestoreAction::make(),
        ];
    }
}
